de.vc.io.rtf.parser

## Class FontInfo

- java.lang.Object
- - de.vc.io.rtf.parser.FontInfo

-     public class FontInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `charset`
    `java.lang.String` | `family`
    `static java.lang.String` | `FONT_FAMILY_BIDI`
    `static java.lang.String` | `FONT_FAMILY_DECOR`
    `static java.lang.String` | `FONT_FAMILY_MODERN`
    `static java.lang.String` | `FONT_FAMILY_ROMAN`
    `static java.lang.String` | `FONT_FAMILY_SCRIPT`
    `static java.lang.String` | `FONT_FAMILY_SWISS`
    `static java.lang.String` | `FONT_FAMILY_TECH`
    `java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodepageOfCharset()`
    `java.lang.String` | `getEncodingOfCharset(java.lang.String defaultEncoding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FONT_FAMILY_ROMAN

          public static final java.lang.String FONT_FAMILY_ROMAN

      See Also:
        Constant Field Values

    - #### FONT_FAMILY_SWISS

          public static final java.lang.String FONT_FAMILY_SWISS

      See Also:
        Constant Field Values

    - #### FONT_FAMILY_MODERN

          public static final java.lang.String FONT_FAMILY_MODERN

      See Also:
        Constant Field Values

    - #### FONT_FAMILY_SCRIPT

          public static final java.lang.String FONT_FAMILY_SCRIPT

      See Also:
        Constant Field Values

    - #### FONT_FAMILY_DECOR

          public static final java.lang.String FONT_FAMILY_DECOR

      See Also:
        Constant Field Values

    - #### FONT_FAMILY_TECH

          public static final java.lang.String FONT_FAMILY_TECH

      See Also:
        Constant Field Values

    - #### FONT_FAMILY_BIDI

          public static final java.lang.String FONT_FAMILY_BIDI

      See Also:
        Constant Field Values

    - #### family

          public java.lang.String family

    - #### name

          public java.lang.String name

    - #### charset

          public int charset

  - ### Constructor Detail

    - #### FontInfo

          public FontInfo()

  - ### Method Detail

    - #### getCodepageOfCharset

          public java.lang.String getCodepageOfCharset()

    - #### getEncodingOfCharset

          public java.lang.String getEncodingOfCharset(java.lang.String defaultEncoding)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.